using System;
using System.Windows;
using Autodesk.Windows;

namespace MyUtilityFunctions
{
    static class Utils
    {
        public static RibbonToolTip GenerateRibbonToolTip(string text, string commandName, string helpTopic)
        {
            RibbonToolTip tooltip = new RibbonToolTip();
            tooltip.Content = text;
            tooltip.Title = commandName;
            tooltip.HelpTopic = helpTopic;
            return tooltip;
        }
    }
}
