#pragma once

class AssocSampleUtils
{
public:
	AssocSampleUtils(void);
	~AssocSampleUtils(void);

	static AcDbObjectId getConstraintGroup(AcDbDatabase  *pDatabase,
                                              bool  createIfDoesNotExist,
                                              const AcString& dictionaryKey);

	static void GetAPathsAllNew(const AcDbEntity *pEnt, AcDb::SubentType subentType, AcDbFullSubentPathArray &aPaths,AcArray<AcConstrainedGeometry*> &pConsGeoms);
	static void AddConstrainedGeometry(AcDbFullSubentPathArray &aPaths,AcArray<AcConstrainedGeometry*> &pConsGeoms);
	static void AddGeomConstraint(AcGeomConstraint::GeomConstraintType typ, AcDbFullSubentPathArray &aPaths);
};
