﻿using System;
using System.Collections.Generic;
using System.Windows;
using Autodesk.Windows;
using System.Windows.Media.Imaging;
using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.DatabaseServices;
using MyUtilityFunctions;
using System.Windows.Media;
using System.Reflection;
using System.Windows.Input;

namespace CuiCustomControls
{
  #region Module
  // gives access to this module's resouces held in the xaml file
  internal static class Module
  {
    static Module()
    {
      ComponentManager.CommandHandler = new GlobalCommandHandler();
    }

    private static ResourceDictionary mResourceDictionary;

    internal static ResourceDictionary Resources
    {
      get
      {
        if (mResourceDictionary == null)
        {
          Uri resourceLocator = new Uri(/*MSG0*/"/CuiCustomControls;component/MyResources.xaml", UriKind.Relative);
          mResourceDictionary = (ResourceDictionary)System.Windows.Application.LoadComponent(resourceLocator);
        }
        return mResourceDictionary;
      }
    }
  }
  #endregion
}
